/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.muni.fi.pb138.xsltdemolab;

import java.io.File;
import javax.xml.transform.Templates;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

/**
 *
 * @author tomp
 */
public class Main {

    private static final String sourceFile = "people.xml";

    private static final String styleFile = "people2html.xsl";

    private static final String destFile = "people.html";

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) 
            throws TransformerConfigurationException, TransformerException {

        TransformerFactory factory = TransformerFactory.newInstance();

        Templates templates = factory.newTemplates(
                new StreamSource(new File(styleFile)));

        Transformer transformer = templates.newTransformer();

        transformer.setParameter("message", "NEW MESSAGE");
        
        transformer.transform(
                new StreamSource(new File(sourceFile)),
                new StreamResult(new File(destFile)));
    }

}
